# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateAuditRequest(JDCloudRequest):
    """
    开启数据库审计</br>- SQL Server：支持</br>- MySQL：暂不支持
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateAuditRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/audit', 'POST', header, version)
        self.parameters = parameters


class CreateAuditParameters(object):

    def __init__(self, regionId, instanceId, enabled):
        """
        :param regionId: Region ID
        :param instanceId: Instance ID
        :param enabled: 要开启的审计选项，各个选项之间用英文逗号或空格进行分割，例如：DATABASE_OBJECT_ACCESS_GROUP,ACKUP_RESTORE_GROUP
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.enabled = enabled

