# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DescribeIndexPerformanceRequest(JDCloudRequest):
    """
    索引性能统计</br>- SQL Server：支持</br>- MySQL：暂不支持
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DescribeIndexPerformanceRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/performance:describeIndexPerformance', 'POST', header, version)
        self.parameters = parameters


class DescribeIndexPerformanceParameters(object):

    def __init__(self, regionId, instanceId, queryType, ):
        """
        :param regionId: Region ID
        :param instanceId: Instance ID
        :param queryType: 查询类型，不同的查询类型按照相应的字段从高到低返回结果。支持如下类型：Missing：缺失索引Size：索引大小，单位KBUpdates：索引更新次数Scans：表扫描次数Used：最少使用
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.queryType = queryType
        self.db = None
        self.pageNumber = None
        self.pageSize = None

    def setDb(self, db):
        """
        :param db: (Optional) 需要查询的数据库名，多个数据库名之间用英文逗号分隔，默认所有数据库
        """
        self.db = db

    def setPageNumber(self, pageNumber):
        """
        :param pageNumber: (Optional) 显示数据的页码，取值范围：[1,1000)，页码超过总页数时，显示最后一页，用于查询列表的接口
        """
        self.pageNumber = pageNumber

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 每页显示的数据条数，默认为50，取值范围：[1,100]，只能为10的倍数
        """
        self.pageSize = pageSize

