# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ModifyAuditRequest(JDCloudRequest):
    """
    修改当前审计选项</br>- SQL Server：支持</br>- MySQL：暂不支持
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ModifyAuditRequest, self).__init__(
            '/regions/{regionId}/instances/{instanceId}/audit:modifyAudit', 'POST', header, version)
        self.parameters = parameters


class ModifyAuditParameters(object):

    def __init__(self, regionId, instanceId, ):
        """
        :param regionId: Region ID
        :param instanceId: Instance ID
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.add = None
        self.drop = None

    def setAdd(self, add):
        """
        :param add: (Optional) 增加审计项，多个审计项之间用英文逗号，分号或空格分隔，例如DATABASE_OBJECT_ACCESS_GROUP,ACKUP_RESTORE_GROUP
        """
        self.add = add

    def setDrop(self, drop):
        """
        :param drop: (Optional) 删除审计项，多个审计项之间用英文逗号，分号或空格分隔，例如DATABASE_OBJECT_ACCESS_GROUP,ACKUP_RESTORE_GROUP如删除了所有审计项，则审计自动关闭
        """
        self.drop = drop

